## fastfetch 2.33.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12.0) # target_link_libraries with OBJECT libs & project homepage url

project(fastfetch
    VERSION 2.33.0
    LANGUAGES C
    DESCRIPTION "Fast neofetch-like system information tool"
    HOMEPAGE_URL "https://github.com/fastfetch-cli/fastfetch"
)

set(PROJECT_LICENSE "MIT license")

###################
# Target Platform #
###################
if(ANDROID)
    set(LINUX FALSE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
    set(LINUX TRUE CACHE BOOL "..." FORCE) # LINUX means GNU/Linux, not just the kernel
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "FreeBSD")
    set(FreeBSD TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "OpenBSD")
    set(OpenBSD TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "MidnightBSD")
    set(FreeBSD TRUE CACHE BOOL "..." FORCE)
    set(MidnightBSD TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "NetBSD")
    set(NetBSD TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "DragonFly")
    set(FreeBSD TRUE CACHE BOOL "..." FORCE)
    set(DragonFly TRUE CACHE BOOL "..." FORCE)
elseif("${CMAKE_SYSTEM_NAME}" STREQUAL "SunOS")
    set(SunOS TRUE CACHE BOOL "..." FORCE)
elseif(NOT APPLE AND NOT WIN32)
    message(FATAL_ERROR "Unsupported platform: ${CMAKE_SYSTEM_NAME}")
endif()

#############################
# Compile time dependencies #
#############################

set(THREADS_PREFER_PTHREAD_FLAG NOT WIN32)
find_package(Threads)

find_package(PkgConfig)
if(NOT PKG_CONFIG_FOUND)
    message(WARNING "pkg-config not found, library detection might be limited")
endif()

include(CheckIncludeFile)

#####################
# Configure options #
#####################

include(CMakeDependentOption)

cmake_dependent_option(ENABLE_VULKAN "Enable vulkan" ON "LINUX OR APPLE OR FreeBSD OR OpenBSD OR NetBSD OR WIN32 OR ANDROID OR SunOS" OFF)
cmake_dependent_option(ENABLE_WAYLAND "Enable wayland-client" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD" OFF)
cmake_dependent_option(ENABLE_XCB_RANDR "Enable xcb-randr" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_XRANDR "Enable xrandr" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DRM "Enable libdrm" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DRM_AMDGPU "Enable libdrm_amdgpu" ON "LINUX" OFF)
cmake_dependent_option(ENABLE_GIO "Enable gio-2.0" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DCONF "Enable dconf" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DBUS "Enable dbus-1" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_XFCONF "Enable libxfconf-0" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_SQLITE3 "Enable sqlite3" ON "LINUX OR FreeBSD OR APPLE OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_RPM "Enable rpm" ON "LINUX" OFF)
cmake_dependent_option(ENABLE_IMAGEMAGICK7 "Enable imagemagick 7" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR APPLE OR WIN32 OR SunOS" OFF)
cmake_dependent_option(ENABLE_IMAGEMAGICK6 "Enable imagemagick 6" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR APPLE OR SunOS" OFF)
cmake_dependent_option(ENABLE_CHAFA "Enable chafa" ON "ENABLE_IMAGEMAGICK6 OR ENABLE_IMAGEMAGICK7" OFF)
cmake_dependent_option(ENABLE_ZLIB "Enable zlib" ON "ENABLE_IMAGEMAGICK6 OR ENABLE_IMAGEMAGICK7" OFF)
cmake_dependent_option(ENABLE_EGL "Enable egl" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR WIN32 OR SunOS" OFF)
cmake_dependent_option(ENABLE_GLX "Enable glx" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_OSMESA "Enable osmesa" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_OPENCL "Enable opencl" ON "LINUX OR FreeBSD OR OpenBSD OR NetBSD OR WIN32 OR ANDROID OR SunOS" OFF)
cmake_dependent_option(ENABLE_FREETYPE "Enable freetype" ON "ANDROID" OFF)
cmake_dependent_option(ENABLE_PULSE "Enable pulse" ON "LINUX OR OpenBSD OR NetBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_DDCUTIL "Enable ddcutil" ON "LINUX" OFF)
cmake_dependent_option(ENABLE_DIRECTX_HEADERS "Enable DirectX headers for WSL" ON "LINUX" OFF)
cmake_dependent_option(ENABLE_ELF "Enable libelf" ON "LINUX OR ANDROID OR DragonFly" OFF)
cmake_dependent_option(ENABLE_THREADS "Enable multithreading" ON "Threads_FOUND" OFF)
cmake_dependent_option(ENABLE_LIBZFS "Enable libzfs" ON "LINUX OR FreeBSD OR SunOS" OFF)
cmake_dependent_option(ENABLE_PCIACCESS "Enable libpciaccess" ON "NetBSD OR OpenBSD OR SunOS" OFF)

option(ENABLE_SYSTEM_YYJSON "Use system provided (instead of fastfetch embedded) yyjson library" OFF)
option(ENABLE_ASAN "Build fastfetch with ASAN (address sanitizer)" OFF)
option(ENABLE_LTO "Enable link-time optimization in release mode if supported" ON)
option(BUILD_FLASHFETCH "Build flashfetch" ON) # Also build the flashfetch binary
option(BUILD_TESTS "Build tests" OFF) # Also create test executables
option(SET_TWEAK "Add tweak to project version" ON) # This is set to off by github actions for release builds
option(IS_MUSL "Build with musl libc" OFF) # Used by Github Actions
option(INSTALL_LICENSE "Install license into /usr/share/licenses" ON)
option(ENABLE_EMBEDDED_PCIIDS "Embed pci.ids into fastfetch, requires `python`" OFF)

set(BINARY_LINK_TYPE_OPTIONS dlopen dynamic static)
set(BINARY_LINK_TYPE dlopen CACHE STRING "How to link fastfetch")
set_property(CACHE BINARY_LINK_TYPE PROPERTY STRINGS ${BINARY_LINK_TYPE_OPTIONS})
if(NOT BINARY_LINK_TYPE IN_LIST BINARY_LINK_TYPE_OPTIONS)
    message(FATAL_ERROR "BINARY_LINK_TYPE must be one of ${BINARY_LINK_TYPE_OPTIONS}")
endif()

set(PACKAGE_MANAGERS AM APK BREW CHOCO DPKG EMERGE EOPKG FLATPAK GUIX LINGLONG LPKG LPKGBUILD MACPORTS NIX OPKG PACMAN PACSTALL PALUDIS PKG PKGTOOL RPM SCOOP SNAP SORCERY WINGET XBPS)
foreach(package_manager ${PACKAGE_MANAGERS})
    if(package_manager STREQUAL "WINGET")
        option(PACKAGES_DISABLE_${package_manager} "Disable ${package_manager} package manager detection by default" ON)
    else()
        option(PACKAGES_DISABLE_${package_manager} "Disable ${package_manager} package manager detection by default" OFF)
    endif()
endforeach()

if (LINUX)
    set(CUSTOM_PCI_IDS_PATH "" CACHE STRING "Custom path to file pci.ids, defaults to `/usr/share/hwdata/pci.ids`")
    set(CUSTOM_AMDGPU_IDS_PATH "" CACHE STRING "Custom path to file amdgpu.ids, defaults to `/usr/share/libdrm/amdgpu.ids`")
    set(CUSTOM_OS_RELEASE_PATH "" CACHE STRING "Custom path to file os-release, defaults to `/etc/os-release`")
endif()

####################
# Compiler options #
####################

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif()

message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
if(ENABLE_THREADS)
    if(CMAKE_USE_WIN32_THREADS_INIT)
        message(STATUS "Threads type: Win32 thread")
    elseif(CMAKE_USE_PTHREADS_INIT)
        message(STATUS "Threads type: pthread")
    endif()
else()
    message(STATUS "Threads type: disabled")
endif()

set(WARNING_FLAGS "-Wall -Wextra -Wconversion -Werror=uninitialized -Werror=return-type")

set(CMAKE_C_STANDARD 11)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARNING_FLAGS} -Werror=incompatible-pointer-types -Werror=implicit-function-declaration -Werror=int-conversion")

if(WIN32 OR ENABLE_DIRECTX_HEADERS)
    enable_language(CXX)
    set(CMAKE_CXX_STANDARD 17)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_FLAGS}")
endif()

if(WIN32)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--tsaware -Wl,--build-id -Wl,--subsystem,console:6.1,--major-os-version,6,--minor-os-version,1")
elseif(APPLE AND CMAKE_C_COMPILER_ID MATCHES "Clang")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fobjc-arc")
endif()

set(FASTFETCH_FLAGS_DEBUG "-fno-omit-frame-pointer")
if(ENABLE_ASAN)
    message(STATUS "Address sanitizer enabled (DEBUG only)")
    set(FASTFETCH_FLAGS_DEBUG "${FASTFETCH_FLAGS_DEBUG} -fsanitize=address")
endif()
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} ${FASTFETCH_FLAGS_DEBUG}")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} ${FASTFETCH_FLAGS_DEBUG} -fstack-protector-all -fno-delete-null-pointer-checks")
if(NOT WIN32)
    set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -rdynamic")
endif()

if(ENABLE_LTO AND NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
    message(STATUS "Enabling LTO")
    include(CheckIPOSupported)
    check_ipo_supported(RESULT IPO_SUPPORTED)
    if(IPO_SUPPORTED)
        set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
    endif()
endif()

#######################
# Target FS structure #
#######################

if(NOT TARGET_DIR_ROOT)
    if(NOT ANDROID)
        set(TARGET_DIR_ROOT "")
    else()
        set(TARGET_DIR_ROOT "/data/data/com.termux/files/usr")
    endif()
endif()

if(NOT TARGET_DIR_USR)
    if(NOT ANDROID)
        set(TARGET_DIR_USR "${TARGET_DIR_ROOT}/usr")
    else()
        set(TARGET_DIR_USR "${TARGET_DIR_ROOT}")
    endif()
endif()

if(NOT TARGET_DIR_HOME)
    if(APPLE)
        set(TARGET_DIR_HOME "${TARGET_DIR_ROOT}/Users")
    elseif(ANDROID)
        set(TARGET_DIR_HOME "/data/data/com.termux/files/home")
    else()
        set(TARGET_DIR_HOME "${TARGET_DIR_ROOT}/home")
    endif()
endif()

if(NOT TARGET_DIR_ETC)
    set(TARGET_DIR_ETC "${TARGET_DIR_ROOT}/etc")
endif()

message(STATUS "Target dirs: ROOT=\"${TARGET_DIR_ROOT}\" USR=\"${TARGET_DIR_USR}\" HOME=\"${TARGET_DIR_HOME}\" ETC=\"${TARGET_DIR_ETC}\"")

#https://cmake.org/cmake/help/latest/variable/CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT.html
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX "${TARGET_DIR_USR}" CACHE PATH "..." FORCE)
endif()

if(NOT CMAKE_INSTALL_SYSCONFDIR)
    set(CMAKE_INSTALL_SYSCONFDIR "${TARGET_DIR_ETC}" CACHE PATH "..." FORCE)
endif()

#################
# Tweak version #
#################

if (SET_TWEAK AND EXISTS "${CMAKE_SOURCE_DIR}/.git")
    execute_process(
        COMMAND git describe --tags
        WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
        OUTPUT_VARIABLE PROJECT_VERSION_GIT
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    string(REGEX MATCH "-[0-9]+" PROJECT_VERSION_TWEAK "${PROJECT_VERSION_GIT}")
endif()
if(PROJECT_VERSION_TWEAK)
    string(REGEX MATCH "[0-9]+" PROJECT_VERSION_TWEAK_NUM "${PROJECT_VERSION_TWEAK}")
else()
    set(PROJECT_VERSION_TWEAK_NUM 0)
endif()

#############
# Text data #
#############

function(fastfetch_encode_c_string STR OUTVAR)
    string(REGEX REPLACE "\n$" "" TEMP "${STR}")  # Remove trailing newline
    string(REPLACE "\\" "\\\\" TEMP "${TEMP}")    # Escape backslashes
    string(REPLACE "\n" "\\n" TEMP "${TEMP}")     # Replace newlines with \n
    string(REPLACE "\"" "\\\"" TEMP "${TEMP}")    # Replace quotes with \"
    set(${OUTVAR} "\"${TEMP}\"" PARENT_SCOPE)
endfunction(fastfetch_encode_c_string)

function(fastfetch_load_text FILENAME OUTVAR)
    file(READ "${FILENAME}" TEMP)
    fastfetch_encode_c_string("${TEMP}" TEMP)
    set(${OUTVAR} "${TEMP}" PARENT_SCOPE)
endfunction(fastfetch_load_text)

find_package(Python)
if(Python_FOUND)
    message(STATUS "Minifying 'help.json'")
    execute_process(COMMAND ${Python_EXECUTABLE} -c "import json,sys;json.dump(json.load(sys.stdin),sys.stdout,separators=(',',':'))"
                    INPUT_FILE "${CMAKE_CURRENT_SOURCE_DIR}/src/data/help.json"
                    OUTPUT_VARIABLE DATATEXT_JSON_HELP)
    if(DATATEXT_JSON_HELP STREQUAL "")
        message(ERROR "DATATEXT_JSON_HELP is empty, which should not happen!")
    endif()
else()
    message(WARNING "Python3 is not found, 'help.json' will not be minified")
    file(READ "src/data/help.json" DATATEXT_JSON_HELP)
endif()

if(ENABLE_EMBEDDED_PCIIDS AND NOT EXISTS "${PROJECT_BINARY_DIR}/fastfetch_pciids.c.inc")
    if(Python_FOUND)
        message(STATUS "Generating 'fastfetch_pciids.c.inc'")

## fastfetch 2.2.3

=== debian/changelog ===
fastfetch (2.2.3-0revyos1) unstable; urgency=medium

  * Rebuild for revyos

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 19 Nov 2023 16:03:27 +0800

fastfetch (2.2.3-deepin) stable; urgency=medium

  * New upstream version
  * Update the latest mac models (Host, macOS)
  * Fix local ips detection on Android. Regression from v2.2.0 (LocalIP, Android)
  * Fix terminal detection on NixOS (Terminal)
  * Fixed some bugs and added some new features

 -- zhangkun <zhangkun2@uniontech.com>  Mon, 13 Nov 2023 19:05:14 +0800

fastfetch (2.1.2-deepin) stable; urgency=medium

  * New upstream version
  * Fix icon detection on Windows. It shows enabled system icons in desktop (`This PC`, `Recycle Bin`, etc) (Icon, Windows)
  * Fix compatibility with ddcutil 2.0 (Brightness, Linux)
  * Fix a compile warning (CPUUsage, FreeBSD)

 -- zhangkun <zhangkun2@uniontech.com>  Sun, 22 Oct 2023 18:50:24 +0800

fastfetch (2.1.1-deepin) stable; urgency=medium

  * New upstream version
  * Support opkg (Packages, Linux)
  * Support GNOME Console terminal version and font detection (Terminal, Linux)
  * Add --cpu-freq-ndigits to set number of digits for CPU frequency (CPU)
  * New module to detect physical disk I/O usage (DiskIO)
  * Add --cpuusage-separate to display CPU usage per CPU logical core
  * Add --brightness-ddcci-sleep to set the sleep times (in ms) when sending DDC/CI requests (Brightness, #580)
  * Add Chimera Linux
  * Add EndeavourSmall
  * Add Xenia

 -- zhangkun <zhangkun2@uniontech.com>  Sun, 15 Oct 2023 21:36:21 +0800

fastfetch (2.1.0-deepin) stable; urgency=medium

  * New upstream version
  * Add `--format json`, which prints system information as JSON format
  * Add fast path for xfce4 version detection (DE, FreeBSD)
  * Support contour terminal version and font detection (Terminal / TerminalFont)
  * Support `kitty-direct` / `iterm` without specifying logo width / height. Note: in this case, the entre screen will be cleared.
  * Support new flag `--logo-separate`. If true, print modules at bottom of the logo
  * Support Apple Silicon CPU frequency detection (CPU, macOS)
  * Support user login time detection (Users)
  * Support winget package manager detection, guarded behind `--allow-slow-operations` (Packages, Windows)
  * Print monitor type (built-in or external) (Display)
  * Support full GPU detection in WSL (Linux, GPU)
  * Add `--module-key " "` as a special case for hiding keys
  * Support `--title-format`. See `fastfetch --help title-format` for detail
  * Support `--colors-key` (Colors)
  * Add `-c` as a shortcut of `--load-config`. Note it was used as the shortcut of `--color` before 2.0.5
  * Support Windows Service Pack vers  * Fix fastfetch hanging in specific environment (#561)
  * Fix short read when reading from stdin (Logo)
  * Fix `poll() timeout or failed` error when image is very large (Logo)
  * Fix Termux Monet terminal version detection (Terminal)
  * Fix zpool volumes detection (Disk, Linux)
  * Fix external volumes detection (Disk, Linux)
  * Fix snap package number detection on systems other than Ubuntu (Packages, Linux)
  * Fix dpkg / apt package number detection (Packages, Linux)
  * Fix bluetooth mac address detection (Bluetooth, Windows)ion detection (Kernel, Windows)
  * Support Debian point releases detection (OS, Linux)
  * Add new module `NetIO` which prints network throughput (usage) of specified interface. Note this module costs about 1 second to finish.
  * Use `lscpu` to detect CPU name for ARM CPUs (CPU, Linux)

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 03 Oct 2023 17:29:43 +0800

fastfetch (2.0.5-0deepin) stable; urgency=medium

  * New upstream version
  * Add option `--disk-use-available` (#543)
  * Add option `--disk-show-readonly` 

 -- xiangzelong <xiangzelong@deepin.com>  Mon, 04 Sep 2023 09:49:08 +0800

fastfetch (2.0.1-0deepin1) stable; urgency=medium

  * enable system yyjson

 -- xiangzelong <xiangzelong@deepin.org>  Tue, 22 Aug 2023 17:39:04 +0800

fastfetch (2.0.1-0deepin) stable; urgency=medium

  * new upstream release
  * ntroduces a new configuration file format: JSON config
  * Add LM (Login Manager) module. 
  * Fix used spaces calculation (Disk, Linux / BSD / macOS)

 -- xiangzelong <xiangzelong@deepin.org>  Tue, 22 Aug 2023 12:47:26 +0800

fastfetch (1.12.2-0deepin1) unstable; urgency=medium

  * fix byteUsed not correctly in ext4

 -- xiangzelong <xiangzelong@deepin.org>  Tue, 01 Aug 2023 16:47:34 +0800

fastfetch (1.12.2-0deepin) unstable; urgency=medium

  * Initial Release.

 -- xiangzelong <xiangzelong@deepin.org>  Mon, 31 Jul 2023 13:30:50 +0800

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: xiangzelong <xiangzelong@deepin.org>
Build-Depends: debhelper-compat (= 13),
                libpci-dev,
                libvulkan-dev,
                libwayland-dev,
                libxrandr-dev,
                libxcb-randr0-dev,
                libdconf-dev,
                libdbus-1-dev,
                libmagickcore-dev,
                libxfconf-0-dev,
                libsqlite3-dev,
                libzstd-dev,
                libegl-dev,
                libglx-dev,
                libosmesa6-dev,
                ocl-icd-opencl-dev,
                libnm-dev,
                libpulse-dev,
                cmake (>=3.12.0),
                yyjson-dev (>=0.8),
Standards-Version: 4.6.2.0
Homepage: https://github.com/fastfetch-cli/fastfetch

Package: fastfetch
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This is a neofetch-like tool for fetching system information and displaying them in a pretty way.
 It is written mainly in C, with performance and customizability in mind. 
 Currently, Linux, Android, FreeBSD, MacOS and Windows 7+ are supported.

## fastfetch 2.8.10

=== debian/changelog ===
fastfetch (2.8.10-0deepin) unstable; urgency=medium

  * New upstream version
  * Improve stability; print more useful error message; avoid misuse (PublicIP / Weather)
  * Use MS-DOS device name as mountFrom result, instead of useless GUID volume name (Disk, Windows)
  * Fix color of Arco Linux
  * Support new MacBook Air (Host, macOS)
  * Distinguish min frequency and base frequency (CPU)
  * Support zellij version detection (Linux, Terminal)
  * Config presets in app folder now work with symlinks
  * Add new module TerminalTheme, which prints the foreground and background color of the current terminal window. Currently doesn't work on Windows.
  * Improve xonsh shell detection (Shell)
  * Support colored percentage values (Bluetooth / Gamepad / Sound)

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 02 Apr 2024 21:14:53 +0800

fastfetch (2.4.0-0deepin) unstable; urgency=medium

  * New upstream version
  * Improve performance of detecting rpm and pkg package count (Packages, Linux / FreeBSD)
  * Support Apple M3X temperature detection (CPU / GPU, macOS)
  * `--ds-force-drm` support a new option `sysfs-only`
  * Improve xfce4 version detection
  * Detect WM and DE by enumerating running processes (WM / DE, FreeBSD)
  * Add a new module `Physical Disk`, which detects product name, full size, serial number and so on.

 -- zhangkun <zhangkun2@uniontech.com>  Sun, 24 Dec 2023 16:45:31 +0800

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: xiangzelong <xiangzelong@deepin.org>
Build-Depends: debhelper-compat (= 13),
                libvulkan-dev,
                libwayland-dev,
                libxrandr-dev,
                libxcb-randr0-dev,
                libdconf-dev,
                libdbus-1-dev,
                libmagickcore-dev,
                libxfconf-0-dev,
                libsqlite3-dev,
                libegl-dev,
                libglx-dev,
                libosmesa6-dev,
                ocl-icd-opencl-dev,
                libnm-dev,
                libpulse-dev,
                libdrm-dev,
                libddcutil-dev,
                libchafa-dev,
                directx-headers-dev,
                cmake (>=3.12.0),
                yyjson-dev (>=0.8),
Standards-Version: 4.6.2.0
Homepage: https://github.com/fastfetch-cli/fastfetch

Package: fastfetch
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This is a neofetch-like tool for fetching system information and displaying them in a pretty way.
 It is written mainly in C, with performance and customizability in mind.
 Currently, Linux, Android, FreeBSD, MacOS and Windows 7+ are supported.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DENABLE_SYSTEM_YYJSON=ON \


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## fastfetch 2.15.0+dfsg

=== debian/changelog ===
fastfetch (2.15.0+dfsg-2) unstable; urgency=medium

  * Source only upload.

 -- Hiago De Franco <hiagofranco@gmail.com>  Sat, 22 Jun 2024 21:03:27 -0300

fastfetch (2.15.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1053995)

 -- Hiago De Franco <hiagofranco@gmail.com>  Mon, 10 Jun 2024 14:00:50 +0800

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: Hiago De Franco <hiagofranco@gmail.com>
Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
           Maytham Alsudany <maytha8thedev@gmail.com>,
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 directx-headers-dev,
 libchafa-dev,
 libdbus-1-dev,
 libdconf-dev,
 libddcutil-dev,
 libdrm-dev,
 libegl-dev,
 libglx-dev,
 libmagickcore-dev,
 libnm-dev,
 libosmesa6-dev,
 libpulse-dev,
 librpm-dev,
 libsqlite3-dev,
 libvulkan-dev,
 libwayland-dev,
 libxcb-randr0-dev,
 libxfconf-0-dev,
 libxrandr-dev,
 libyyjson-dev,
 ocl-icd-opencl-dev,
 pkgconf,
Standards-Version: 4.7.0
Homepage: https://github.com/fastfetch-cli/fastfetch
Vcs-Browser: https://salsa.debian.org/debian/fastfetch
Vcs-Git: https://salsa.debian.org/debian/fastfetch.git

Package: fastfetch
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: neofetch-like tool for fetching system information
 Fastfetch is a neofetch-like tool for fetching system information and
 displaying them in a pretty way. It is written mainly in C, with
 performance and customizability in mind.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DSET_TWEAK=OFF \
        -DBUILD_TESTS=ON \
        -DENABLE_PROPRIETARY_GPU_DRIVER_API=OFF \
        -DENABLE_SYSTEM_YYJSON=ON \
		-DINSTALL_LICENSE=OFF

## fastfetch 2.21.3%2Bdfsg

=== debian/changelog ===
fastfetch (2.21.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.21.3+dfsg

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 24 Aug 2024 12:20:59 +0800

## fastfetch 2.21.3+dfsg

=== debian/changelog ===
fastfetch (2.21.3+dfsg-0.1~mx23+1) mx; urgency=medium

  * Import new 2.21.3 release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 22 Aug 2024 19:39:48 -0700

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: Hiago De Franco <hiagofranco@gmail.com>
Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
           Maytham Alsudany <maytha8thedev@gmail.com>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               directx-headers-dev,
               libchafa-dev,
               libdbus-1-dev,
               libdconf-dev,
               libddcutil-dev,
               libdrm-dev,
               libegl-dev,
               libglx-dev,
               libmagickcore-dev,
               libnm-dev,
               libosmesa6-dev,
               libpulse-dev,
               librpm-dev,
               libsqlite3-dev,
               libvulkan-dev,
               libwayland-dev,
               libxcb-randr0-dev,
               libxfconf-0-dev,
               libxrandr-dev,
               libyyjson-dev,
               ocl-icd-opencl-dev,
               pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/fastfetch-cli/fastfetch
Vcs-Browser: https://salsa.debian.org/debian/fastfetch
Vcs-Git: https://salsa.debian.org/debian/fastfetch.git

Package: fastfetch
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: neofetch-like tool for fetching system information
 Fastfetch is a neofetch-like tool for fetching system information and
 displaying them in a pretty way. It is written mainly in C, with
 performance and customizability in mind.

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,8 @@
         -DENABLE_PROPRIETARY_GPU_DRIVER_API=OFF \
         -DENABLE_SYSTEM_YYJSON=ON \
 		-DINSTALL_LICENSE=OFF
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## fastfetch 2.23.0

=== debian/changelog ===
fastfetch (2.23.0-0deepin1) unstable; urgency=medium

  * New upstream version
  * Support unity version detection (DE, Linux)
  * Print model name in Battery keys if available (Battery)
  * Add module `Zpool`
  * Improve performance (Shell / Terminal, Linux)
  * Support syntax of padded strings in `--<module>-format`.
    `{variable<padlength}` and `{variable>padlength}` are supported.

 -- Amaro Martínez <xoas@airmail.cc>  Tue, 03 Sep 2024 00:08:26 -0500

fastfetch (2.22.0) UNRELEASED; urgency=medium

  * New upstream version
  * Small performance improvements (Terminal, Editor)
  * Improve arm32 and loongarch support (CPU, Linux)
  * Ignore the parent process if env `$FFTS_IGNORE_PARENT` is set to `1` (Shell)
  * Add code name of Apple M4 (CPU, Linux)
  * Add ethernet speed rate detection support (LocalIP)
  * Add zsh completion script
  * Add Linglong package manager detection support (Packages, Linux)

 -- Amaro Martínez <xoas@airmail.cc>  Mon, 02 Sep 2024 23:44:25 -0500

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: xiangzelong <xiangzelong@deepin.org>
Uploaders: Amaro Martínez <xoas@airmail.cc>,
Build-Depends: debhelper-compat (= 13),
                libvulkan-dev,
                libwayland-dev,
                libxrandr-dev,
                libxcb-randr0-dev,
                libdconf-dev,
                libdbus-1-dev,
                libmagickcore-dev,
                libxfconf-0-dev,
                libsqlite3-dev,
                libegl-dev,
                libglx-dev,
                libosmesa6-dev,
                ocl-icd-opencl-dev,
                libnm-dev,
                libpulse-dev,
                libdrm-dev,
                libddcutil-dev,
                libchafa-dev,
                directx-headers-dev,
                cmake (>=3.12.0),
                libyyjson-dev (>=0.9),
                pkgconf,
Standards-Version: 4.6.2.0
Homepage: https://github.com/fastfetch-cli/fastfetch

Package: fastfetch
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: neofetch-like tool for fetching system information
 It is written mainly in C, with performance and customizability in mind.
 Currently, Linux, Android, FreeBSD, MacOS and Windows 7+ are supported.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DENABLE_SYSTEM_YYJSON=ON \


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## fastfetch 2.28.0+dfsg

=== debian/changelog ===
fastfetch (2.28.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.28.0+dfsg

 -- Hiago De Franco <hiagofranco@gmail.com>  Thu, 24 Oct 2024 20:07:42 -0300

fastfetch (2.27.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.27.1+dfsg
  * Update copyright file with the latest changes

 -- Hiago De Franco <hiagofranco@gmail.com>  Sat, 12 Oct 2024 16:40:05 -0300

## fastfetch 2.29.0+dfsg

=== debian/changelog ===
fastfetch (2.29.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.29.0+dfsg

 -- Hiago De Franco <hiagofranco@gmail.com>  Mon, 04 Nov 2024 08:23:31 -0300

## fastfetch 2.30.1+dfsg

=== debian/changelog ===
fastfetch (2.30.1+dfsg-1ubuntu2) plucky; urgency=medium

  * In the neofetch wrapper, encourage usage of ubuntu-bug.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 05 Jan 2025 00:35:37 -0600

fastfetch (2.30.1+dfsg-1ubuntu1) plucky; urgency=medium

  * Add a neofetch wrapper. This can be dropped after the next LTS.
  * Add the Lubuntu logo.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 04 Jan 2025 21:02:27 -0600

fastfetch (2.30.1+dfsg-1) unstable; urgency=medium

  [ Hiago de Franco ]
  * New upstream version 2.30.1+dfsg

  [ Carlos Henrique Lima Melara ]
  * d/p/set-timezone-to-UTC-when-reading-SOURCE_DATE_EPOCH.patch: new patch

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sat, 23 Nov 2024 22:59:32 -0300

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hiago De Franco <hiagofranco@gmail.com>
Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
           Maytham Alsudany <maytha8thedev@gmail.com>,
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 directx-headers-dev,
 libchafa-dev,
 libdbus-1-dev,
 libdconf-dev,
 libddcutil-dev,
 libdrm-dev,
 libegl-dev,
 libglx-dev,
 libmagickcore-dev,
 libnm-dev,
 libosmesa6-dev,
 libpulse-dev,
 librpm-dev,
 libsqlite3-dev,
 libvulkan-dev,
 libwayland-dev,
 libxcb-randr0-dev,
 libxfconf-0-dev,
 libxrandr-dev,
 libyyjson-dev,
 ocl-icd-opencl-dev,
 pkgconf,
Standards-Version: 4.7.0
Homepage: https://github.com/fastfetch-cli/fastfetch
Vcs-Browser: https://salsa.debian.org/debian/fastfetch
Vcs-Git: https://salsa.debian.org/debian/fastfetch.git

Package: fastfetch
Architecture: any
Multi-Arch: foreign
Provides: neofetch
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: neofetch-like tool for fetching system information
 Fastfetch is a neofetch-like tool for fetching system information and
 displaying them in a pretty way. It is written mainly in C, with
 performance and customizability in mind.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DSET_TWEAK=OFF \
        -DBUILD_TESTS=ON \
        -DENABLE_PROPRIETARY_GPU_DRIVER_API=OFF \
        -DENABLE_SYSTEM_YYJSON=ON \
		-DINSTALL_LICENSE=OFF

override_dh_auto_install:
	dh_auto_install
	mkdir -pv debian/fastfetch/usr/lib/fastfetch/
	cp debian/neofetch-wrapper debian/fastfetch/usr/lib/fastfetch/neofetch-wrapper

## fastfetch 2.33.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
         -DENABLE_SYSTEM_YYJSON=ON \
 		-DINSTALL_LICENSE=OFF
 
-override_dh_auto_install:
-	dh_auto_install
-	mkdir -pv debian/fastfetch/usr/lib/fastfetch/
-	cp debian/neofetch-wrapper debian/fastfetch/usr/lib/fastfetch/neofetch-wrapper
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## fastfetch 2.33.0+dfsg

=== debian/changelog ===
fastfetch (2.33.0+dfsg-0.1~mx23+1) mx; urgency=medium

  * New upstream version 2.33.0+dfsg
  * Drop set-timezone-to-UTC-when-reading-SOURCE_DATE_EPOCH.patch, added to 
    source upstream

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Jan 2025 21:42:22 -0800

=== debian/control ===
Source: fastfetch
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Hiago De Franco <hiagofranco@gmail.com>
Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
           Maytham Alsudany <maytha8thedev@gmail.com>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               directx-headers-dev,
               libchafa-dev,
               libdbus-1-dev,
               libdconf-dev,
               libddcutil-dev,
               libdrm-dev,
               libegl-dev,
               libglx-dev,
               libmagickcore-dev,
               libnm-dev,
               libosmesa6-dev,
               libpulse-dev,
               librpm-dev,
               libsqlite3-dev,
               libvulkan-dev,
               libwayland-dev,
               libxcb-randr0-dev,
               libxfconf-0-dev,
               libxrandr-dev,
               libyyjson-dev,
               ocl-icd-opencl-dev,
               pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/fastfetch-cli/fastfetch
Vcs-Browser: https://salsa.debian.org/debian/fastfetch
Vcs-Git: https://salsa.debian.org/debian/fastfetch.git

Package: fastfetch
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: neofetch-like tool for fetching system information
 Fastfetch is a neofetch-like tool for fetching system information and
 displaying them in a pretty way. It is written mainly in C, with
 performance and customizability in mind.

## fastfetch 2.34.1+dfsg

=== debian/changelog ===
fastfetch (2.34.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.34.1+dfsg
  * debian: fastfetch.lintian-overrides: remove flashfetch

 -- Hiago De Franco <hiagofranco@gmail.com>  Fri, 17 Jan 2025 16:45:06 -0300

fastfetch (2.34.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.34.0+dfsg (Closes: #1092144)
  * d/p/set-timezone-to-UTC-when-reading-SOURCE_DATE_EPOCH.patch: remove
    patch. This patch is not needed anymore since this has been merged
    upstream.

 -- Hiago De Franco <hiagofranco@gmail.com>  Thu, 09 Jan 2025 13:26:40 -0300
